Bug 1376817 - Defaults for pg_num, pgp_num and size are not honored
Summary: Defaults for pg_num, pgp_num and size are not honored
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 10.0 (Newton)
Assignee: Giulio Fidente
QA Contact: Yogev Rabl
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-16 13:26 UTC by Giulio Fidente
Modified: 2016-12-14 16:02 UTC (History)
4 users (show)

Fixed In Version: openstack-tripleo-heat-templates-5.0.0-0.20160929150845.4cdc4fc.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-14 16:02:25 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC
OpenStack gerrit 370270 None None None 2016-09-16 13:32:08 UTC
Launchpad 1623590 None None None 2016-09-16 13:26:40 UTC

Description Giulio Fidente 2016-09-16 13:26:41 UTC
The defaults provided via: 

ceph::profile::params::osd_pool_default_pg_num
ceph::profile::params::osd_pool_default_pgp_num
ceph::profile::params::osd_pool_default_size

are not honored anymore.

Comment 2 Giulio Fidente 2016-09-16 13:31:30 UTC
As a workaround, these can be overridden as described in BZ 1283721 comment #26

Comment 5 seb 2016-10-20 12:04:10 UTC
Tested and validated.
Moving this to VERIFIED.

Comment 8 errata-xmlrpc 2016-12-14 16:02:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.